Subject: bug#58960: 29.0.50; Assert fails when browsing an URL, bug#58960: 29.0.50; Assert fails when browsing an URL

From: Tino Calancha <[email-masked]>
Date: Thu, 3 Nov 2022 04:00:26 +0100 (CET)

On Wed, 2 Nov 2022, Paul Eggert wrote:

> child_signal_init is reasonably heavyweight in that it keeps a couple of file 
> descriptors open, so the idea is to be lazy and not call it unless Emacs 
> plans to have children.
>
> I installed the attached, which is like Robert's patch except it keeps the 
> critical section smaller and checks the declaration of the now-extern 
> function. Please give it a try. I'll boldly close the bug report; we can 
> reopen it if I'm wrong.

I have applied your patch; it fixes the issue.
Thank you.